Become a MacRumors Supporter for $25/year with no ads, private forums, and more!

Couldnt download iOS 10.2

Kevin Barnes

macrumors newbie
Original poster
Jul 23, 2019
20
2
US
Whenever I'm trying to download ios 10.2 its only downloads for a minute or two and displaying this error.

"there was a problem downloading the software for the iPhone "iPhone". An unknown error occurred (9006). Make sure your networking setting are correct and your network connection is active, or try again later."

I did everything I can. And I'm sure there is not any problem with the internet connection also. It works fine. Does anyone have an idea how to fix this?
 

Shirasaki

macrumors G4
May 16, 2015
10,375
4,191
Maybe you can get the iOS image without using iTunes, but you have to be careful with files around the internet, since Apple does not support iOS 10 actively anymore, even if your iPhone cannot support iOS 11.
 
Comment

Kevin Barnes

macrumors newbie
Original poster
Jul 23, 2019
20
2
US
Maybe you can get the iOS image without using iTunes, but you have to be careful with files around the internet, since Apple does not support iOS 10 actively anymore, even if your iPhone cannot support iOS 11.

Thank you for the suggestion. Can you suggest me a trusted source/ website to download it?
 
Comment

chrfr

macrumors G4
Jul 11, 2009
10,696
4,298
Thank you for the suggestion. Can you suggest me a trusted source/ website to download it?
You can use https://ipsw.me which hosts a catalog of links to Apple's servers. Be aware that since Apple isn't signing 10.2 anymore, you're not going to be able to use it. If your phone only runs iOS 10, you can use either 10.3.3 or 10.3.4. If your phone runs iOS 12, you'll need to use iOS 12.4.
 
Comment

Kevin Barnes

macrumors newbie
Original poster
Jul 23, 2019
20
2
US
You can use https://ipsw.me which hosts a catalog of links to Apple's servers. Be aware that since Apple isn't signing 10.2 anymore, you're not going to be able to use it. If your phone only runs iOS 10, you can use either 10.3.3 or 10.3.4. If your phone runs iOS 12, you'll need to use iOS 12.4.

thank you
 
Comment
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.